View Issue Details

IDProjectCategoryView StatusLast Update
0032764CommunityOCCT:Codingpublic2022-01-15 14:37
Reportertrelau Assigned Tokgv  
PrioritynormalSeveritytrivial 
Status verifiedResolutionfixed 
PlatformWindowsOSVC++ 2015 
Product Version6.9.1 
Target Version7.7.0 
Summary0032764: Coding Rules - missing include guard in BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx
DescriptionI'm creating Python bindings for OCCT and noticed BRepExtrema_MapOfIntegerPackedMapOfInteger getting picked up twice in the automatic binding generation process. Then I noticed there wasn't any include guard in the file like there are for (it seems) every other file in OCCT.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Attached Files

  • BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx (923 bytes)

Activities

trelau

2022-01-09 18:38

developer  

BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx (923 bytes)

git

2022-01-10 14:59

administrator   ~0106283

Branch CR32764 has been created by kgv.

SHA-1: ea60f1bb4c25217193c8b71529224247311bac11


Detailed log of new commits:

Author: kgv
Date: Mon Jan 10 14:59:16 2022 +0300

    0032764: Coding Rules - missing include guard in BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx

kgv

2022-01-10 15:40

developer   ~0106285

Please raise trivial fix.
- OCCT: branch CR32764.

http://jenkins-test-occt.nnov.opencascade.com/view/CR32764-master-KGV/view/OCCT%20compile/

smoskvin

2022-01-15 14:07

administrator   ~0106390

Combination -
OCCT branch : IR-2022-01-14
master SHA - 71943b31f820c2b9191854299241dd82c2716eaf
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2022-01-14 SHA - 13a1d612d3ecdc2ed1a10120341e9df4c3d9fd2e
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18239.750000000447 / 18223.400000000463 [+0.09%]
Products
Total CPU difference: 11656.240000000102 / 11659.240000000125 [-0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19987.609375 / 20012.3125 [-0.12%]
Products
Total CPU difference: 13139.84375 / 13120.265625 [+0.15%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-01-15 14:37

administrator   ~0106406

Branch CR32764 has been deleted by mnt.

SHA-1: ea60f1bb4c25217193c8b71529224247311bac11

Related Changesets

occt: master 7e524fcb

2022-01-10 14:59:16

kgv


Committer: smoskvin Details Diff
0032764: Coding Rules - missing include guard in BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx Affected Issues
0032764
mod - src/BRepExtrema/BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx Diff File

Issue History

Date Modified Username Field Change
2022-01-09 18:38 trelau New Issue
2022-01-09 18:38 trelau Assigned To => msv
2022-01-09 18:38 trelau File Added: BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx
2022-01-10 12:57 kgv Severity minor => trivial
2022-01-10 12:57 kgv Category OCCT:Modeling Algorithms => OCCT:Coding
2022-01-10 12:57 kgv Summary Missing include guard in BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx => Coding Rules - missing include guard in BRepExtrema_MapOfIntegerPackedMapOfInteger.hxx
2022-01-10 12:57 kgv Steps to Reproduce Updated
2022-01-10 12:57 kgv Test case number => N/A
2022-01-10 14:59 git Note Added: 0106283
2022-01-10 15:40 kgv Assigned To msv => bugmaster
2022-01-10 15:40 kgv Status new => resolved
2022-01-10 15:40 kgv Note Added: 0106285
2022-01-10 15:40 kgv Status resolved => reviewed
2022-01-10 15:41 kgv Product Version 7.6.0 => 6.9.1
2022-01-15 14:07 smoskvin Status reviewed => tested
2022-01-15 14:07 smoskvin Note Added: 0106390
2022-01-15 14:26 smoskvin Changeset attached => occt master 7e524fcb
2022-01-15 14:26 kgv Assigned To bugmaster => kgv
2022-01-15 14:26 kgv Status tested => verified
2022-01-15 14:26 kgv Resolution open => fixed
2022-01-15 14:37 git Note Added: 0106406